### Method

# Pos OskWidget set_layout

#### Declaration [src]

    gboolean
    pos_osk_widget_set_layout (
      PosOskWidget* self,
      const char* name,
      const char* layout_id,
      const char* display_name,
      const char* layout,
      const char* variant,
      GError** error
    )

#### Description [src]

Sets the widgets keyboard layout.

#### Parameters

`name`

  Type: `const char*`

  The “name” of the layout. This uniquely identifiers the layout. The widget should treat this as an opaque value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`layout_id`

  Type: `const char*`

  The (xkb) layout id. This can differ from the widget layout and variant e.g. in the case of terminal where we use a `terminal` layout but an xkb keymap `us`. The widget should treat this as opaque value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`display_name`

  Type: `const char*`

  The display name. Should be used when displaying layout information to the user. (E.g. ‘English (US)’).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`layout`

  Type: `const char*`

  The name of the layout. to set e.g. `jp`, `de`, ‘terminal’.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`variant`

  Type: `const char*`

  The layout variant to set , e.g. `ch`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` otherwise.